* {
    box-sizing: border-box;
}

#front-page-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
}

.slide-big-title, .main-slider, .slide-download-button {
    width: 100%;
}

.main-slider {
    position: relative;
    width: 100%;
    margin: auto;
    overflow: hidden;
    padding-left: 10px;
    padding-right: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    background: #f0f0f0f3;
    z-index: 1;
}

.slide-big-title {
    display: flex;
    position: relative;
    font-size: 30px;
    width: 100%;
    height: 200px;
    padding-top: 100px;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 2;
}

.slide-big-title-text{
    padding-top: 150px;
    text-align: center;
    width: 50%;
}

.slider {
    display: flex;
    width: min-content;
    transition: transform 0.5s ease;
}


.slide {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 100%;
    padding-top: 30px;
    padding-bottom: 100px;
    opacity: 0;
    transition: opacity 0.5s ease;
}


.active-slide {
    opacity: 1; 
}

.slide-image {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.slide-image img {
    width: auto; 
    max-height: 600px; 
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); 
}

.slide-content {
    flex: 1;
    padding: 20px;
    padding-left: 50px;
    text-align: left;
}

.slide-title {
    font-size: 25px;
    margin-bottom: 20px;
    color: #333;
}

.slide-description {
    font-size: 22px;
    margin-bottom: 50px;
    color: #666;
}

.slide-content h2,
.slide-content p {
    width: 70%;
	padding: 20px;
}

.slide-download-button {
    position: relative;
    font-size: 30px;
    width: 100%;
    padding-bottom: 50px;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 2; 
}
.play-store-button {
    font-size: 18px;
    background-color: #0F9D58;
    color: #ffffff;
    text-decoration: none;
    padding: 10px 25px;
    width: 300px;
    border-radius: 10px;
    display: inline-block;
}

.slider-controls {
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    transform: translateY(-50%);
    display: flex;
    justify-content: space-between;
    z-index: 10; 
}

.prev-slide,
.next-slide {
    opacity: 1; 
    z-index: 10; 
    width: 50px; 
    height: 50px; 
    border: none;  
    background: transparent;  
    padding: 0;  
    box-shadow: none;
}

@media (max-width: 1200px){
	.slide-content h2,
	.slide-content p {
		width: 50%;
		padding: 10px;
	}
}

@media (max-width: 1000px) {
	
    .slide-big-title, .main-slider, .slide-download-button {
        height: auto; 
    }
	
	.slide-content h2,
	.slide-content p {
		width: 100%;
	}

    .slide-big-title {
        display: flex;
        flex-direction: row; 
        flex-wrap: wrap; 
        font-size: 25px;
        width: 100%;
        padding-left: 25px;
        padding-right: 25px;
        padding-top: 100px;
        padding-bottom: 20px;
        justify-content: center; 
        align-items: center;
    }
    
    .slide-big-title-text {
        padding-top: 20px;
        width: 100%; 
        text-align: center; 
    }
    
    .play-store-button {
        font-size: 18px;
        background-color: #0F9D58;
        color: #ffffff;
        text-decoration: none;
        width: 200px;
        border-radius: 10px;
        display: inline-block;
    }

    .slider {
        width: 100%;
    }

    .slide {
        flex-direction: column; 
        padding-top: 20px; 
        padding-bottom: 20px; 
    }

    .slide-image img {
        max-height: 400px; 
    }

    .slide-content {
        padding: 20px; 
        padding-left: 20px; 
        text-align: center;
    }

    .slide-title {
        font-size: 20px; 
    }

    .slide-description {
        font-size: 18px; 
        margin-bottom: 20px;
    }

    .slider-controls {
        width: 100%; 
        bottom: 10px; 
        top: 30%;
        transform: translateY(0); 
    }

    .prev-slide,
    .next-slide {
        width: 40px; 
        height: 40px;
    }
}
